from typing import List

import pytest
from selenium import webdriver

from self_disclosure_plugin.dependencies import retrieve_service_provider_mapping
from univention.udm import UDM


@pytest.fixture()
def udm():
    return UDM.admin().version(2)


@pytest.fixture()
def service_providers() -> List[str]:
    return list(retrieve_service_provider_mapping().keys())


@pytest.fixture
def selenium() -> webdriver.Chrome:
    """
    Browser based testing for using Selenium.
    """
    chrome_options = webdriver.ChromeOptions()
    chrome_options.add_argument("--no-sandbox")  # chrome complains about being executed as root
    chrome_options.add_argument("ignore-certificate-errors")
    driver = webdriver.Chrome(options=chrome_options)
    return driver
